'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _lodash = require('lodash.isempty');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class CloudWatchEventFormatter {
  constructor({ formatLog, formatLogItem } = {}) {
    if (typeof formatLog === 'function') {
      this.formatLog = formatLog;
    } else if (typeof formatLogItem === 'function') {
      this.formatLogItem = formatLogItem;
    }
  }

  formatLogItem(item) {
    return {
      message: this.formatLog(item),
      timestamp: item.date
    };
  }

  formatLog(item) {
    const meta = (0, _lodash2.default)(item.meta) ? '' : ' ' + (0, _stringify2.default)(item.meta, null, 2);
    return `[${item.level.toUpperCase()}] ${item.message}${meta}`;
  }
}
exports.default = CloudWatchEventFormatter;