'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _winston = require('winston');

var _cloudwatchClient = require('./cloudwatch-client');

var _cloudwatchClient2 = _interopRequireDefault(_cloudwatchClient);

var _logItem = require('./log-item');

var _logItem2 = _interopRequireDefault(_logItem);

var _relay = require('./relay');

var _relay2 = _interopRequireDefault(_relay);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class CloudWatchTransport extends _winston.Transport {
  constructor(options) {
    super(options);
    const client = new _cloudwatchClient2.default(options.logGroupName, options.logStreamName, options);
    this._relay = new _relay2.default(client, options);
    this._relay.on('error', err => this.emit('error', err));
    this._relay.start();
  }

  log(level, msg, meta, callback) {
    this._relay.submit(new _logItem2.default(+new Date(), level, msg, meta, callback));
  }
}

exports.default = CloudWatchTransport;