'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _debug2 = require('debug');

var _debug3 = _interopRequireDefault(_debug2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const debug = (0, _debug3.default)('winston-aws-cloudwatch:Queue');

class Queue {
  constructor() {
    this._contents = [];
  }

  get size() {
    return this._contents.length;
  }

  push(item) {
    debug('push', { item });
    this._contents.push(item);
  }

  head(num) {
    debug('head', { num });
    return this._contents.slice(0, num);
  }

  remove(num) {
    debug('remove', { num });
    this._contents.splice(0, num);
  }
}
exports.default = Queue;